public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrew Ammerlaan" <andrewammerlaan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/coq/
Date: Mon, 26 Jul 2021 11:06:15 +0000 (UTC)	[thread overview]
Message-ID: <1627297565.c2d0457fbca7c4e64c9c4caa99708e7586725693.andrewammerlaan@gentoo> (raw)

commit:     c2d0457fbca7c4e64c9c4caa99708e7586725693
Author:     Viorel Munteanu <ceamac.paragon <AT> gmail <DOT> com>
AuthorDate: Sat Jul 10 07:24:35 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Mon Jul 26 11:06:05 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c2d0457f

sci-mathematics/coq: use a dependency default flag

media-libs/netpbm is dropping zlib USE flag
Closes: https://bugs.gentoo.org/801442

Package-Manager: Portage-3.0.20, Repoman-3.0.2
Signed-off-by: Viorel Munteanu <ceamac.paragon <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/21580
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 sci-mathematics/coq/coq-8.11.2-r1.ebuild | 90 ++++++++++++++++++++++++++++++++
 sci-mathematics/coq/coq-8.12.0-r2.ebuild | 90 ++++++++++++++++++++++++++++++++
 sci-mathematics/coq/coq-8.13.0-r1.ebuild | 88 +++++++++++++++++++++++++++++++
 3 files changed, 268 insertions(+)

diff --git a/sci-mathematics/coq/coq-8.11.2-r1.ebuild b/sci-mathematics/coq/coq-8.11.2-r1.ebuild
new file mode 100644
index 00000000000..d4baaa412f2
--- /dev/null
+++ b/sci-mathematics/coq/coq-8.11.2-r1.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop multilib
+
+MY_PV=${PV/_p/pl}
+MY_P=${PN}-${MY_PV}
+
+DESCRIPTION="Proof assistant written in O'Caml"
+HOMEPAGE="http://coq.inria.fr/"
+SRC_URI="https://github.com/coq/coq/archive/V${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gtk debug +ocamlopt doc"
+
+RESTRICT=test
+
+RDEPEND="
+	dev-ml/camlp5:=[ocamlopt?]
+	|| (
+		dev-ml/num
+		<dev-lang/ocaml-4.09.0[ocamlopt?]
+	)
+	gtk? (
+		dev-ml/lablgtk:3=[sourceview,ocamlopt?]
+		dev-ml/lablgtk-sourceview:3=[ocamlopt?]
+	)"
+DEPEND="${RDEPEND}
+	dev-ml/findlib
+	doc? (
+		media-libs/netpbm[png,postscript(+),zlib(+)]
+		virtual/latex-base
+		dev-tex/hevea
+		dev-texlive/texlive-latexrecommended
+		dev-texlive/texlive-pictures
+		dev-texlive/texlive-mathscience
+		dev-texlive/texlive-latexextra
+		)"
+
+S=${WORKDIR}/${MY_P}
+
+src_configure() {
+	ocaml_lib=$(ocamlc -where)
+	local myconf=(
+		-prefix /usr
+		-bindir /usr/bin
+		-libdir /usr/$(get_libdir)/coq
+		-mandir /usr/share/man
+		-coqdocdir /usr/$(get_libdir)/coq/coqdoc
+		-docdir /usr/share/doc/${PF}
+		-configdir /etc/xdg/${PN}
+		)
+
+	use debug && myconf+=( -debug )
+	use doc || myconf+=( -with-doc no )
+
+	if use gtk; then
+		if use ocamlopt; then
+			myconf+=( -coqide opt )
+		else
+			myconf+=( -coqide byte )
+		fi
+	else
+		myconf+=( -coqide no )
+	fi
+
+	use ocamlopt || myconf+=( -byte-only )
+
+	export CAML_LD_LIBRARY_PATH="${S}/kernel/byterun/"
+	./configure ${myconf[@]} || die "configure failed"
+}
+
+src_compile() {
+	emake STRIP="true" -j1 world VERBOSE=1
+}
+
+src_test() {
+	emake STRIP="true" check VERBOSE=1
+}
+
+src_install() {
+	emake STRIP="true" COQINSTALLPREFIX="${D}" install VERBOSE=1
+	dodoc README.md CREDITS
+
+	use gtk && make_desktop_entry "coqide" "Coq IDE" "${EPREFIX}/usr/share/coq/coq.png"
+}

diff --git a/sci-mathematics/coq/coq-8.12.0-r2.ebuild b/sci-mathematics/coq/coq-8.12.0-r2.ebuild
new file mode 100644
index 00000000000..8ac534f46bf
--- /dev/null
+++ b/sci-mathematics/coq/coq-8.12.0-r2.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop multilib
+
+MY_PV=${PV/_p/pl}
+MY_P=${PN}-${MY_PV}
+
+DESCRIPTION="Proof assistant written in O'Caml"
+HOMEPAGE="http://coq.inria.fr/"
+SRC_URI="https://github.com/coq/coq/archive/V${MY_PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gtk debug +ocamlopt doc"
+
+RESTRICT=test
+
+RDEPEND="
+	dev-ml/camlp5:=[ocamlopt?]
+	|| (
+		dev-ml/num
+		<dev-lang/ocaml-4.09.0[ocamlopt?]
+	)
+	gtk? (
+		dev-ml/lablgtk:3=[sourceview,ocamlopt?]
+		dev-ml/lablgtk-sourceview:3=[ocamlopt?]
+	)"
+DEPEND="${RDEPEND}
+	dev-ml/findlib
+	doc? (
+		media-libs/netpbm[png,postscript(+),zlib(+)]
+		virtual/latex-base
+		dev-tex/hevea
+		dev-texlive/texlive-latexrecommended
+		dev-texlive/texlive-pictures
+		dev-texlive/texlive-mathscience
+		dev-texlive/texlive-latexextra
+		)"
+
+S=${WORKDIR}/${MY_P}
+
+src_configure() {
+	ocaml_lib=$(ocamlc -where)
+	local myconf=(
+		-prefix /usr
+		-bindir /usr/bin
+		-libdir /usr/$(get_libdir)/coq
+		-mandir /usr/share/man
+		-coqdocdir /usr/$(get_libdir)/coq/coqdoc
+		-docdir /usr/share/doc/${PF}
+		-configdir /etc/xdg/${PN}
+		)
+
+	use debug && myconf+=( -debug )
+	use doc || myconf+=( -with-doc no )
+
+	if use gtk; then
+		if use ocamlopt; then
+			myconf+=( -coqide opt )
+		else
+			myconf+=( -coqide byte )
+		fi
+	else
+		myconf+=( -coqide no )
+	fi
+
+	use ocamlopt || myconf+=( -byte-only )
+
+	export CAML_LD_LIBRARY_PATH="${S}/kernel/byterun/"
+	./configure ${myconf[@]} || die "configure failed"
+}
+
+src_compile() {
+	emake STRIP="true" -j1 world VERBOSE=1
+}
+
+src_test() {
+	emake STRIP="true" check VERBOSE=1
+}
+
+src_install() {
+	emake STRIP="true" COQINSTALLPREFIX="${D}" install -j1 VERBOSE=1
+	dodoc README.md CREDITS
+
+	use gtk && make_desktop_entry "coqide" "Coq IDE" "${EPREFIX}/usr/share/coq/coq.png"
+}

diff --git a/sci-mathematics/coq/coq-8.13.0-r1.ebuild b/sci-mathematics/coq/coq-8.13.0-r1.ebuild
new file mode 100644
index 00000000000..2ce87179074
--- /dev/null
+++ b/sci-mathematics/coq/coq-8.13.0-r1.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop findlib
+
+MY_PV=${PV/_p/pl}
+MY_P=${PN}-${MY_PV}
+
+DESCRIPTION="Proof assistant written in O'Caml"
+HOMEPAGE="http://coq.inria.fr/"
+SRC_URI="https://github.com/coq/coq/archive/V${MY_PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gtk debug +ocamlopt doc"
+
+RESTRICT="test"
+
+RDEPEND="
+	dev-ml/zarith
+	|| (
+		dev-ml/num
+		<dev-lang/ocaml-4.09.0[ocamlopt?]
+	)
+	gtk? (
+		dev-ml/lablgtk:3=[sourceview,ocamlopt?]
+		dev-ml/lablgtk-sourceview:3=[ocamlopt?]
+	)"
+DEPEND="${RDEPEND}
+	doc? (
+		media-libs/netpbm[png,postscript(+),zlib(+)]
+		virtual/latex-base
+		dev-tex/hevea
+		dev-texlive/texlive-latexrecommended
+		dev-texlive/texlive-pictures
+		dev-texlive/texlive-mathscience
+		dev-texlive/texlive-latexextra
+		)"
+
+src_configure() {
+	ocaml_lib=$(ocamlc -where)
+	local myconf=(
+		-prefix /usr
+		-bindir /usr/bin
+		-libdir /usr/$(get_libdir)/coq
+		-mandir /usr/share/man
+		-coqdocdir /usr/$(get_libdir)/coq/coqdoc
+		-docdir /usr/share/doc/${PF}
+		-configdir /etc/xdg/${PN}
+	)
+
+	use debug && myconf+=( -debug )
+	use doc || myconf+=( -with-doc no )
+
+	if use gtk; then
+		if use ocamlopt; then
+			myconf+=( -coqide opt )
+		else
+			myconf+=( -coqide byte )
+		fi
+	else
+		myconf+=( -coqide no )
+	fi
+
+	use ocamlopt || myconf+=( -byte-only )
+
+	export CAML_LD_LIBRARY_PATH="${S}/kernel/byterun/"
+	./configure ${myconf[@]} || die "configure failed"
+}
+
+src_compile() {
+	emake STRIP="true" -j1 world VERBOSE=1
+}
+
+src_test() {
+	emake STRIP="true" check VERBOSE=1
+}
+
+src_install() {
+	emake STRIP="true" COQINSTALLPREFIX="${D}" install -j1 VERBOSE=1
+	dodoc README.md CREDITS
+
+	use gtk && make_desktop_entry "coqide" "Coq IDE" "${EPREFIX}/usr/share/coq/coq.png"
+}


             reply	other threads:[~2021-07-26 11:06 UTC|newest]

Thread overview: 82+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-07-26 11:06 Andrew Ammerlaan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-19 19:59 [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/coq/ Maciej Barć
2024-11-19 19:59 Maciej Barć
2024-09-30 19:34 Arthur Zamarin
2024-09-09  8:28 Maciej Barć
2024-09-09  0:06 Maciej Barć
2024-06-10 13:59 Maciej Barć
2024-05-23 22:08 Maciej Barć
2024-03-04 21:58 Maciej Barć
2024-03-04 21:58 Maciej Barć
2024-03-04 21:58 Maciej Barć
2024-02-27 23:42 Sam James
2024-01-25  3:21 Maciej Barć
2024-01-16  5:46 Viorel Munteanu
2023-09-09 18:14 Maciej Barć
2023-09-09 18:14 Maciej Barć
2023-09-09 18:14 Maciej Barć
2023-08-16  2:20 Sam James
2023-07-17 12:33 Maciej Barć
2023-07-15 22:17 Maciej Barć
2023-07-15 22:17 Maciej Barć
2023-07-15 22:17 Maciej Barć
2023-07-11  8:43 Jakov Smolić
2023-06-28  1:12 Maciej Barć
2023-06-28  1:12 Maciej Barć
2023-05-26 20:06 Arthur Zamarin
2023-04-12 16:00 Maciej Barć
2023-04-11 20:02 Maciej Barć
2023-04-11 14:18 Maciej Barć
2023-04-11 14:18 Maciej Barć
2023-04-11 14:18 Maciej Barć
2023-04-10 18:49 Maciej Barć
2022-11-26 15:31 Maciej Barć
2022-11-26  0:58 Maciej Barć
2022-11-26  0:37 Maciej Barć
2022-11-26  0:37 Maciej Barć
2022-09-05 22:09 Maciej Barć
2022-09-05 22:09 Maciej Barć
2022-09-05 22:09 Maciej Barć
2022-05-31 16:51 Maciej Barć
2022-05-31 16:15 Maciej Barć
2022-05-31 16:15 Maciej Barć
2022-03-22 19:22 Maciej Barć
2022-03-13 13:19 Maciej Barć
2022-02-27  3:48 Maciej Barć
2022-02-18 15:11 Maciej Barć
2022-02-17 23:19 Maciej Barć
2022-02-17 14:11 Maciej Barć
2022-02-17 13:21 Maciej Barć
2022-01-28 17:43 Maciej Barć
2021-12-14 12:45 Joonas Niilola
2021-12-07  6:26 Agostino Sarubbo
2021-12-06  7:15 Jakov Smolić
2021-04-06 18:52 Alfredo Tupone
2021-02-09 17:19 Alfredo Tupone
2021-02-08  8:25 Sam James
2021-02-08  8:00 Sam James
2021-02-08  8:00 Sam James
2021-02-08  7:13 Sam James
2020-10-13 12:54 Mark Wright
2020-01-07 21:01 Jason A. Donenfeld
2019-11-24  0:44 Aaron Bauman
2019-11-04 14:38 Mikle Kolyada
2019-11-04 12:19 Mikle Kolyada
2019-09-24  9:46 Mark Wright
2018-04-09 19:30 Andreas Sturmlechner
2017-07-18 17:18 Alexis Ballier
2017-07-07  8:12 Agostino Sarubbo
2017-07-07  8:05 Agostino Sarubbo
2017-01-23  9:19 Alexis Ballier
2016-12-19 18:55 Alexis Ballier
2016-12-19 12:15 Alexis Ballier
2016-11-15  9:36 Alexis Ballier
2016-08-12 11:05 Alexis Ballier
2016-07-13 12:55 Alexis Ballier
2016-06-25 21:31 Patrice Clement
2016-06-25 21:09 Patrice Clement
2016-06-23 11:26 Alexis Ballier
2016-06-21 20:32 Michał Górny
2016-04-11  5:56 Alexis Ballier
2015-11-12 11:43 Agostino Sarubbo
2015-11-11 10:39 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1627297565.c2d0457fbca7c4e64c9c4caa99708e7586725693.andrewammerlaan@gentoo \
    --to=andrewammerlaan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox